Package icyllis.modernui.text.style

# Class CharacterStyle

java.lang.Object
icyllis.modernui.text.style.CharacterStyle

Direct Known Subclasses:
  `BackgroundColorSpan`, `ClickableSpan`, `ForegroundColorSpan`, `MetricAffectingSpan`, `StrikethroughSpan`, `UnderlineSpan`

public abstract class CharacterStyle extends Object
The classes that affect character-level text formatting extend this class. Most extend its subclass `MetricAffectingSpan`, but simple ones may just implement `UpdateAppearance`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterStyle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CharacterStyle`
  `getUnderlying()`
  Returns "this" for most CharacterStyles, but for CharacterStyles that were generated by `wrap(icyllis.modernui.text.style.CharacterStyle)`, returns the original CharacterStyle.
  `abstract void`
  `updateDrawState(TextPaint paint)`
  `static CharacterStyle`
  `wrap(CharacterStyle cs)`
  A given `CharacterStyle` can only be applied to a single region of a given `Spanned`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CharacterStyle

    public CharacterStyle()

- ## Method Details

  - ### updateDrawState

    public abstract void updateDrawState(@Nonnull TextPaint paint)

  - ### wrap

    @Nonnull public static CharacterStyle wrap(CharacterStyle cs)
    A given `CharacterStyle` can only be applied to a single region of a given `Spanned`.
    If you need to attach the same `CharacterStyle` to multiple regions, you can use this method to wrap it with a new object that will have the same effect but be a distinct object so that it can also be attached without conflict.

  - ### getUnderlying

    public CharacterStyle getUnderlying()
    Returns "this" for most CharacterStyles, but for CharacterStyles that were generated by `wrap(icyllis.modernui.text.style.CharacterStyle)`, returns the original CharacterStyle.